Gets the file in which the error occurred

- « Error::getCode

- Error::getLine »

- PHP Manual
- Error
- Gets the file in which the error occurred

# Error::getFile

(PHP 7, PHP 8)

Error::getFile — Gets the file in which the error occurred

### Description

final public Error::getFile(): string

Get the name of the file the error occurred.

### Parameters

This function has no parameters.

### Return Values

Returns the filename in which the error occurred.

### Examples

Example #1 Error::getFile() example

    <?phptry {    throw new Error;} catch(Error $e) {    echo $e->getFile();}?>

The above example will output something similar to:

    /home/bjori/tmp/ex.php

### See Also

- Throwable::getFile() - Gets the file in which the object was created